summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-09-27 11:30:42 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-09-27 11:30:42 +0100
commitddb6fbc11e863756a24e1dc866c63dec00eac6fa (patch)
tree697bafc13819641c0cb81d469945e2a773adca86 /eclass
parente466209c898f09389f2308d193286ff62b46c1dc (diff)
gentoo auto-resync : 27:09:2023 - 11:30:42
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin39135 -> 39138 bytes
-rw-r--r--eclass/java-pkg-simple.eclass32
-rw-r--r--eclass/llvm.eclass11
-rw-r--r--eclass/perl-module.eclass2
4 files changed, 28 insertions, 17 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index ce61bb0ffd6a..6fcfc1083904 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/java-pkg-simple.eclass b/eclass/java-pkg-simple.eclass
index 14650ea7e8d3..e50344c32acb 100644
--- a/eclass/java-pkg-simple.eclass
+++ b/eclass/java-pkg-simple.eclass
@@ -501,6 +501,9 @@ java-pkg-simple_src_test() {
return
fi
+ # https://bugs.gentoo.org/906311
+ rm -rf ${classes} || die
+
# create the target directory
mkdir -p ${classes} || die "Could not create target directory for testing"
@@ -519,7 +522,6 @@ java-pkg-simple_src_test() {
find "${JAVA_TEST_SRC_DIR[@]}" -name \*.java > ${test_sources}
fi
-
# compile
if [[ -s ${test_sources} ]]; then
if [[ -n ${moduleinfo} ]] || [[ java-pkg_get-target -lt 9 ]]; then
@@ -555,21 +557,19 @@ java-pkg-simple_src_test() {
if [[ -n ${JAVA_TEST_RUN_ONLY} ]]; then
tests_to_run="${JAVA_TEST_RUN_ONLY[@]}"
else
- pushd "${JAVA_TEST_SRC_DIR}" > /dev/null || die
- tests_to_run=$(find * -type f\
- \( -name "*Test.java"\
- -o -name "Test*.java"\
- -o -name "*Tests.java"\
- -o -name "*TestCase.java" \)\
- ! -name "*Abstract*"\
- ! -name "*BaseTest*"\
- ! -name "*TestTypes*"\
- ! -name "*TestUtils*"\
- ! -name "*\$*")
- tests_to_run=${tests_to_run//"${classes}"\/}
- tests_to_run=${tests_to_run//.java}
- tests_to_run=${tests_to_run//\//.}
- popd > /dev/null || die
+ tests_to_run=$(find "${classes}" -type f\
+ \( -name "*Test.class"\
+ -o -name "Test*.class"\
+ -o -name "*Tests.class"\
+ -o -name "*TestCase.class" \)\
+ ! -name "*Abstract*"\
+ ! -name "*BaseTest*"\
+ ! -name "*TestTypes*"\
+ ! -name "*TestUtils*"\
+ ! -name "*\$*")
+ tests_to_run=${tests_to_run//"${classes}"\/}
+ tests_to_run=${tests_to_run//.class}
+ tests_to_run=${tests_to_run//\//.}
# exclude extra test classes, usually corner cases
# that the code above cannot handle
diff --git a/eclass/llvm.eclass b/eclass/llvm.eclass
index 8198650aad9a..57faa48819db 100644
--- a/eclass/llvm.eclass
+++ b/eclass/llvm.eclass
@@ -80,6 +80,13 @@ DEPEND="!!sys-devel/llvm:0"
# Correct values of LLVM slots, newest first.
declare -g -r _LLVM_KNOWN_SLOTS=( {18..8} )
+# @ECLASS_VARIABLE: LLVM_ECLASS_SKIP_PKG_SETUP
+# @INTERNAL
+# @DESCRIPTION:
+# If set to a non-empty value, llvm_pkg_setup will not perform LLVM version
+# check, nor set PATH. Useful for bootstrap-prefix.sh, where AppleClang has
+# unparseable version numbers, which are irrelevant anyway.
+
# @FUNCTION: get_llvm_slot
# @USAGE: [-b|-d] [<max_slot>]
# @DESCRIPTION:
@@ -242,6 +249,10 @@ llvm_fix_tool_path() {
llvm_pkg_setup() {
debug-print-function ${FUNCNAME} "${@}"
+ if [[ ${LLVM_ECLASS_SKIP_PKG_SETUP} ]]; then
+ return
+ fi
+
if [[ ${MERGE_TYPE} != binary ]]; then
LLVM_SLOT=$(get_llvm_slot "${LLVM_MAX_SLOT}")
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index c9b690992f22..32cd603c7be5 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -361,7 +361,7 @@ perl-module_src_test() {
fi
# See https://www.perlmonks.org/?node_id=1225311
- # * AUTOMATES_TESTING appears inappropriate for us, as it affects
+ # * AUTOMATED_TESTING appears inappropriate for us, as it affects
# exit codes and might mask failures if configuration is wrong.
# * EXTENDED_TESTING is something we could consider if we had
# some way to opt-in to expensive tests.